# Set the minimum required version of CMake
cmake_minimum_required(VERSION 3.11)

# Set the project name and specify the C++ as the project language
project(P2_2_Hashtable)

# Specify the C++ standard
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# set(SOURCE_DIR "ADS/ADS-Praktika/P1/")
add_executable(P2_2_Hashtable main.cpp hashtable.cpp unit_tests.cpp)

# Include directories for the target
# target_include_directories(Hashtable PRIVATE ${SOURCE_DIR})

# Find and link OpenMP
find_package(OpenMP REQUIRED)
if(OpenMP_CXX_FOUND)
    target_link_libraries(P2_2_Hashtable PRIVATE OpenMP::OpenMP_CXX)
endif()